#!/bin/bash
# This script configures all the network devices we need.
# should be done in netifrc but It's Fine

. /opt/collabnet/netconf.d/functions

echo "Netconf started."

# Create net bridges
CreateDummyPair "collabnet"

# Public VMs using the br0 computernewb interface to get ips on our /29
CreateTapRoot "ktalpine-wan"

# Infrastructure VMs on CollabNet
CreateTap "ktalp-lan"
CreateTap "ktds"

# CollabNet VMs
CreateTap "ktvm0"
CreateTap "ktvm1"
CreateTap "ktvm2"
CreateTap "ktvm3"
CreateTap "ktvm4"
CreateTap "ktvm5"
CreateTap "ktvm6"

CreateTap "ktvm7"
#CreateTap "ktvm8"
#CreateTap "ktvm9"


AddTapToBridge "br0" "ktalpine-wan"

AddTapToBridge $COLLABNET_BRIDGE "ktalp-lan"
AddTapToBridge $COLLABNET_BRIDGE "ktds"

AddTapToBridge $COLLABNET_BRIDGE "ktvm0"
AddTapToBridge $COLLABNET_BRIDGE "ktvm1"
AddTapToBridge $COLLABNET_BRIDGE "ktvm2"
AddTapToBridge $COLLABNET_BRIDGE "ktvm3"
AddTapToBridge $COLLABNET_BRIDGE "ktvm4"
AddTapToBridge $COLLABNET_BRIDGE "ktvm5"
AddTapToBridge $COLLABNET_BRIDGE "ktvm6"
AddTapToBridge $COLLABNET_BRIDGE "ktvm7"
#AddTapToBridge $COLLABNET_BRIDGE "ktvm8"
#AddTapToBridge $COLLABNET_BRIDGE "ktvm9"

echo "Netconf done."

